package tech.nevets.beerestapi;

import io.javalin.Javalin;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Random;
import java.util.concurrent.ThreadLocalRandom;

public class Main {
    public static ArrayList<String> urls = new ArrayList<>();

    public static void main(String[] args) {
        getImageUrlList();
        Javalin app = Javalin.create().start(8080);

        app.get("/bee", ctx -> {
            ctx.json("{\"link\": \"https://img.nevets.tech/" + getRandomUrl() + "\"}");
        });
    }

    public static void getImageUrlList() {
        String line;
        BufferedReader in = null;

        try {
            in = new BufferedReader(new FileReader("./image-urls.txt"));
            while ((line = in.readLine()) != null) {
                urls.add(line);
            }
        } catch (IOException e) {
            e.printStackTrace();
        } finally {
            try {
                in.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
    }

    public static String getRandomUrl() {
        Random rand = ThreadLocalRandom.current();
        int i = rand.nextInt(urls.size());
        return urls.get(i);
    }
}
